Developer forum
cancel
Showing results for 
Search instead for 
Did you mean: 

Outdated Add-On that cannot be used with ArchiCAD 12

Anonymous
Not applicable
This topic has been discussed few times before. I didn't find help on my case.

My ArchiCAD 12 Add-On loads fine in 2 of 4 setups.
1. Windows XP 32bit ArchiCAD 12 (FIN): OK
2. Windows Vista 64bit ArchiCAD 12 (EN): OK
3. Windows Vista 32bit ArchiCAD 12 (FIN): outdated Add-On
4. Windows Vista 64bit on IntelMac ArchiCAD 12 (EN): outdated Add-On

Only 1. and 3. have VS2005 installed.

Error message in Add-On Manager is following:
"The file is "an outdated Add-On that cannot be used with this ArchiCAD
version"

Error message in with the AddOnAdmin.exe is following:
"DevKit version: Undefined [Undefined release]

Any ideas?
5 REPLIES 5

Anonymous
Not applicable
The reason was missing dll-file. I was using xerces for reading xml files. Some of the setups had the xerces.dll already loaded by other applications and some not.

The Add-On was loaded when the xerces.dll was copied into ArchiCAD application folder.

Anonymous
Not applicable
Now I have this problem with ArchiCAD 11 in Intel Mac. And as always the addon works fine in the development mac but not in the customer mac. The both have the same Intel Mac with the latest ArchiCAD 11 and OS X version is the same. Only difference is that customer has quad core Xeon processor. Any ideas?

Error message in Add-On Manager is following:
"The file is an outdated Add-On that cannot be used with this ArchiCAD
version"

- In the development mac the addon manager shows the addon name in the list.
- In the customer mac the addon manager shows the addon filename in te list (filename.bundle).

This addon doesn't use xml libraries, so in the problem is probably be different.

I noticed that the AddOnAdmin tool that comes with the devkit 11 doesn't allow checking of IntelMac addons. The files are grey in file chooser that opens with the Load File(s) button. Might be that Intel Mac Addons (*.bundle) are not allowed.

Karl Ottenstein
Moderator
Hei Matti,

On the customer Intel Mac, is his build of AC current (patched) - the same build number as as your dev machine?

Or...is it possible that you have (accidentally) used the same add-on ID (LocalID) in the MDID in two different add-ons, and the customer Mac has one of those other add-ons loaded already? [Oops - never mind. You would not get the 'outdated' error message. The other add-on would simply not load.]

Karl
One of the forum moderators   •   AC 25 USA and earlier   •   MacOS 11.6.7, iMac Pro

Karl Ottenstein
Moderator
Matti wrote:
I noticed that the AddOnAdmin tool that comes with the devkit 11 doesn't allow checking of IntelMac addons. The files are grey in file chooser that opens with the Load File(s) button. Might be that Intel Mac Addons (*.bundle) are not allowed.
This was the case with the 12 devkit for me (I did not try 11). Akos Somorjai provided an updated AddOnAdmin tool for 12 that I posted on this Wiki page:
http://www.archicadwiki.com/Developer/API%20DevKit%2012%20Updates

Karl
One of the forum moderators   •   AC 25 USA and earlier   •   MacOS 11.6.7, iMac Pro

Anonymous
Not applicable
Build number of both ArchiCAD 11 were the same (the latest version available). I have to try the updated AddOnAdmin tool. Thanks for the replies.

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!